Subject: Re: Question about EHCI on P4080

From: Ruchika <[email-masked]>
Date: Thu, 20 Feb 2014 12:56:09 -0600

linuxppc,
Is there another mailing list which is more appropriate ?
If so I'd be happy to get a recommendation.

Thank you
Regards
ruchika

On 2/19/2014 11:55 PM, Ruchika wrote:
> Hi,
> I've been trying to understand why the uboot code is unable to work with
> USB1.1 devices.
> On a USB analyzer:
> I notice on an analyzer that there are no SOF or IN tokens seen on the
> bus at all. The only  after the very first setup packet is sent and ACK'd.
>
> The board has a hub chip on it connected to the USB controller via a
> Ulpi interface.
>
> Uboot debug indicates that the transfer times out and was still "Active"
>
> The kernel code indicates that a companion driver handles 1.1 devices.
> Does this mean there are 2 HCD's, one for HS and one for FS/LS in the
> kernel ?
> Thank you
>
>
> ruchika